Bug 1249989 - [GSS] python-gluster packages not being treated as dependent package for gluster-swift packages
[GSS] python-gluster packages not being treated as dependent package for glus...
Status: CLOSED ERRATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: build (Show other bugs)
3.1
x86_64 Linux
high Severity high
: ---
: RHGS 3.1.1
Assigned To: Prashanth Pai
SATHEESARAN
: ZStream
Depends On:
Blocks: 1250003 1251815
  Show dependency treegraph
 
Reported: 2015-08-04 06:10 EDT by Bipin Kunal
Modified: 2015-10-05 03:22 EDT (History)
10 users (show)

See Also:
Fixed In Version: swiftonfile-1.13.1-3
Doc Type: Bug Fix
Doc Text:
Previously, a file required by gluster-swift service was moved from glusterfs-api RPM to python-gluster RPM. As a consequence, the gluster-swift service was not started. With this fix, the required RPM (python-gluster) is made as a dependency and the gluster-swift service can be started.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-05 03:22:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1845 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.1 update 2015-10-05 07:06:22 EDT

  None (edit)
Description Bipin Kunal 2015-08-04 06:10:31 EDT
Description of problem:
Not able to start swift after upgrade from 3.0.4 to 3.1

[root@server swift]# swift-init main restart
Signal proxy-server  pid: 6311  signal: 15
No proxy-server running
Signal container-server  pid: 6312  signal: 15
No container-server running
Signal account-server  pid: 6313  signal: 15
No account-server running
Signal object-server  pid: 6314  signal: 15
No object-server running
Starting proxy-server...(/etc/swift/proxy-server.conf)
Starting container-server...(/etc/swift/container-server.conf)
Starting account-server...(/etc/swift/account-server.conf)
Starting object-server...(/etc/swift/object-server.conf)
Error trying to load config from /etc/swift/proxy-server.conf: No module named gluster.swift.proxy.server

Error trying to load config from /etc/swift/container-server.conf: No module named gluster.swift.container.server

Error trying to load config from /etc/swift/account-server.conf: No module named gluster.swift.account.server

Error trying to load config from /etc/swift/object-server.conf: No module named gluster.swift.obj.server


Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Upgrade/Install to 3.1
2. run command swift-init main restart

Additional info:

Issue is due to missing __init__.py script.

Earlier /usr/lib/python2.6/site-packages/gluster/__init__.py script was part of glusterfs-api package but this script was moved out to python-gluster package in RHS-3.1

So installing python-gluster package solve the issue.
Comment 6 Prashanth Pai 2015-08-19 02:17:20 EDT
Thanks Bipin. Just confirmed the state of things as reported above:

RHS 3.0.4 contains:
glusterfs-api-3.6.0.53-1.el6rhs.x86_64.rpm 

[ppai@pp 1249989]$ rpm -qlp ./glusterfs-api-3.6.0.53-1.el6rhs.x86_64.rpm 
/usr/lib/python2.6/site-packages/gluster/__init__.py
/usr/lib/python2.6/site-packages/gluster/__init__.pyc
/usr/lib/python2.6/site-packages/gluster/__init__.pyo
/usr/lib/python2.6/site-packages/gluster/gfapi.py
/usr/lib/python2.6/site-packages/gluster/gfapi.pyc
/usr/lib/python2.6/site-packages/gluster/gfapi.pyo
/usr/lib/python2.6/site-packages/glusterfs_api-3.6.0.53-py2.6.egg-info
/usr/lib64/glusterfs/3.6.0.53/xlator/mount/api.so
/usr/lib64/libgfapi.so.0
/usr/lib64/libgfapi.so.0.0.0

RHS 3.1 contains:
glusterfs-api-3.7.1-11.el6rhs.x86_64.rpm 
python-gluster-3.7.1-11.el6rhs.x86_64.rpm 

[ppai@pp 1249989]$ rpm -qlp ./glusterfs-api-3.7.1-11.el6rhs.x86_64.rpm 
/usr/lib64/glusterfs/3.7.1/xlator/mount/api.so
/usr/lib64/libgfapi.so.0
/usr/lib64/libgfapi.so.0.0.0

[ppai@pp 1249989]$ rpm -qlp ./python-gluster-3.7.1-11.el6rhs.x86_64.rpm 
/usr/lib/python2.6/site-packages/gluster/__init__.py
/usr/lib/python2.6/site-packages/gluster/__init__.pyc
/usr/lib/python2.6/site-packages/gluster/__init__.pyo
Comment 12 SATHEESARAN 2015-08-28 22:04:42 EDT
Tested with glusterfs-3.7.1-13.el7rhgs
python-gluster package is pulled in as dependency while installing swiftonfile

[root@ ~]# rpm -qa | grep swiftonfile
swiftonfile-1.13.1-4.el7rhgs.noarch

[root@ ~]# rpm -qR swiftonfile | grep gluster
python-gluster >= 3.7.1
Comment 13 Bipin Kunal 2015-09-01 00:27:05 EDT
Hi Prashanth,

Could you please provide the downstream gerrit link for this fix.

Thanks,
Bipin Kunal
Comment 15 Rejy M Cyriac 2015-09-01 02:33:13 EDT
(In reply to SATHEESARAN from comment #12)
> Tested with glusterfs-3.7.1-13.el7rhgs
> python-gluster package is pulled in as dependency while installing
> swiftonfile
> 
> [root@ ~]# rpm -qa | grep swiftonfile
> swiftonfile-1.13.1-4.el7rhgs.noarch
> 
> [root@ ~]# rpm -qR swiftonfile | grep gluster
> python-gluster >= 3.7.1

Please confirm that the issue fix is verified on RHEL6 platform as well
Comment 16 SATHEESARAN 2015-09-01 02:36:21 EDT
(In reply to Rejy M Cyriac from comment #15)
> (In reply to SATHEESARAN from comment #12)
> > Tested with glusterfs-3.7.1-13.el7rhgs
> > python-gluster package is pulled in as dependency while installing
> > swiftonfile
> > 
> > [root@ ~]# rpm -qa | grep swiftonfile
> > swiftonfile-1.13.1-4.el7rhgs.noarch
> > 
> > [root@ ~]# rpm -qR swiftonfile | grep gluster
> > python-gluster >= 3.7.1
> 
> Please confirm that the issue fix is verified on RHEL6 platform as well

Missed out to check the package dependency chain in RHGS 3.1 based on RHEL 6.7
Thanks Rejy for pointing that out.

Tested with RHGS 3.1 ( based on RHEL 6.7 )

[root@ ~]# rpm -qa | grep swiftonfile
swiftonfile-1.13.1-4.el6rhs.noarch

[root@ ~]# rpm -qa | grep python-gluster
python-gluster-3.7.1-13.el6rhs.x86_64

[root@ ~]# rpm -qR swiftonfile | grep gluster
python-gluster >= 3.7.1
Comment 17 Divya 2015-09-22 01:27:11 EDT
Prashanth,

Please review and sign-off the edited doc text.
Comment 18 Prashanth Pai 2015-09-22 01:34:31 EDT
Doc text looks good to me.
Comment 20 errata-xmlrpc 2015-10-05 03:22:06 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1845.html

Note You need to log in before you can comment on or make changes to this bug.